'use strict'
const fs = require('fs')
const path = require('path')
const rimraf = require('rimraf')
const Handlebars = require('Handlebars')

//Romve dirs and fiels for current dir.
exports.rm = function(src, bol) {
  return new Promise(function(resolve, reject) {
    rimraf((bol ? src : path.resolve(src)), (err) => {
      err ? reject(err) : resolve()
    })
  })
}

/**
 * Get the files in the source directory
 * @param  {String} src  source directory
 * @param  {String} ext  ext name
 * @return {Array}       files array
 */
exports.files = function(src, rgx) {
  let fileAry = fs.readdirSync(src)
  let fary = []
  let rary = []

  fileAry.map(function(value, idx) {
    return (
      fs.statSync(path.resolve(src, value)).isFile()
    ) ? fary.push(value) : ''
  })

  //Ext name for file.
  if (rgx) {
    fary.map(function(value, idx) {
      return (rgx.test(value)) ? rary.push(value) : ''
    })
  }
  return rgx ? rary : fary
}

module.exports = Object.freeze(exports)