'use strict'

const platformTypeAry = ['wap', 'app', 'web']
const projectTypeNames = ['demo', 'article', 'print', 'review', 'mmall']

exports.isMobilePlatform = function(type) {
  return /^(wap|app)$/.test(type)
}

exports.isPlatform = function(type) {
  return new RegExp(
    '^(' + platformTypeAry.join('|') + ')$'
  ).test(type)
}

exports.isProjectType = function(type) {
  return new RegExp(
    '^(' + platformTypeAry.join('|') + ')$'
  ).test(type)
}

exports.platformNames = function() {
  return platformTypeAry.join(',')
}

exports.projectTypeNames = function() {
  return projectTypeNames.join(',')
}
 
Object.freeze(exports)